`timescale 1 ns/100 ps
// Version: 10.0 10.0.9.37


module I2C_OLED(
       UART_0_TXD,
       UART_0_RXD,
       I2C_0_SCL,
       I2C_0_SDA,
       MSS_RESET_N,
       MAINXIN
    );
output UART_0_TXD;
input  UART_0_RXD;
inout  I2C_0_SCL;
inout  I2C_0_SDA;
input  MSS_RESET_N;
input  MAINXIN;

    wire GND_net, VCC_net;
    
    VCC VCC (.Y(VCC_net));
    GND GND (.Y(GND_net));
    OLED_MSS OLED_MSS_0 (.UART_0_TXD(UART_0_TXD), .UART_0_RXD(
        UART_0_RXD), .I2C_0_SCL(I2C_0_SCL), .I2C_0_SDA(I2C_0_SDA), 
        .MSS_RESET_N(MSS_RESET_N), .MAINXIN(MAINXIN));
    
endmodule
